Bug 216239 - Xen daemon debug & qemu logs are not rotated
Xen daemon debug & qemu logs are not rotated
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 17:15 EST by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-30 09:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log rotate config file (219 bytes, text/plain)
2006-11-17 17:15 EST, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2006-11-17 17:15:36 EST
Description of problem:
XenD creates a number of log files under /var/log/xen. Only the xend.log file is
ever rotated - it uses python's builtin logging infrastructure to rotate. The
other files xend-debug.log and qemu-dm*.log are never rotated. The qemu-dm-*.log
are creted based on the PID of the QEMU process, so an ever increasing number of
log files accumulate over time.

Version-Release number of selected component (if applicable):
xen-3.0.3-8.el5

How reproducible:
Always

Steps to Reproduce:
1. Work with Xen on a machine for 6 months
2.
3.
  
Actual results:
Huge & large numbers of log files under /var/log/xen

Expected results:
A small number of logs of limited size 

Additional info:
Attaching a logrotate config file from OpenSuse Xen RP mthat would be a good
starting point for a fix.
Comment 1 Daniel Berrange 2006-11-17 17:15:36 EST
Created attachment 141542 [details]
Log rotate config file
Comment 2 RHEL Product and Program Management 2006-11-17 17:20:30 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Mark McLoughlin 2007-03-30 09:52:51 EDT
Cloned for Fedora as bug #234594

This is definitely worth doing in rawhide, but probably not critical enough for
RHEL5 unless we start getting requests for it. Closing the RHEL5 bug as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.